import java.util.Random;

/**
  * Stellt einen Wrfel fr Wrfelspiele bereit. Per Zufall wird jeweils der nchste
  * Wurf ermittelt.
  *
  * @version 1.0 vom 19.09.2012
  * @author Thomas Schaller 
  */
  
public class Wuerfel {
  
  // Anfang Attribute
  protected int wurf;  // letzter Wurf
  private Random zufallszahlen = new Random(); // Hilfsklasse fr Zufallszahlen
  // Ende Attribute
  
  /** Erzeugt einen Wrfel und wrfelt ein erstes Mal, um eine zufllige Seite oben
  * liegen zu lassen.
  */
  public Wuerfel() {
    wuerfeln();
  }
  
  // Anfang Methoden
  /** Liefert das Ergebnis des letzten Wrfelns.
  * @return wurf Augenzahl des letzten Wurfs.
  */
  public int getWurf() {
    return wurf;
  }
  
  /** Wrfelt den Wrfel. Eine neue Zufallszahl wird bestimmt.
  */
  public void wuerfeln() {
    wurf = zufallszahlen.nextInt(6)+1;
  }

  // Ende Methoden
} // end of Wuerfel
